-- 神海之巅
Lua_GodSeaPeakWindow = class("Lua_GodSeaPeakWindow", Lua_Window)
function Lua_GodSeaPeakWindow:ctor()
	self:superCall("ctor");

	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER;
	self.windowName = "Lua_GodSeaPeakWindow";
	self.showWinBg = true;
	self.isFullSizeWin = true;
	self.isSingleShowWin = true;
	self.winBgPath = "/images/god_sea_peak/xui_shzd_bg_1.jpg";
	self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG);
end

function Lua_GodSeaPeakWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.winBg.anchorValue = 4;
	self.winBg.pivotValue = 4;

	self:addLuaEvent("GOD_SEA_PEAK_SEASON_INFO", self, self.updateTopThree);
	self:addLuaEvent("GOD_SEA_PEAK_TREASURE_DRAW", self, self.onTreasureDraw);

	self.roleInfoPanel = Lua_RoleInfoPanel.new(self.content);
	self.roleInfoPanel:setRectAnchor(1);

	self.btnBg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "xui_common_widget_002", 0, 60.5, 720, 121);
	self.btnBg.anchorValue = 7;

	self.btnList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
	self.btnList:setRectAnchor(7);
	self.btnList:setRectPivot(5);
	self.btnList.pivot = -1;
	self.btnList:setLocation(360, 53.5, 0);
	self.btnList:setButtonStyle("common_altas_1", "ui_common_button_001_b", "ui_common_button_001_b", 118, 108, 0.01, 1);
	self.btnList:setButtonLine("common_altas_1", "ui_common_line_011", 2, 108, 0, 0, 1);
	self.btnList:setButtonItem(120, 108);
	self.btnList:setRedPoint(40, 40);
	self.btnList:setClickCallBack(self, self.onButtonClick);
	self.btnList:setData(DataCenter.godSeaPeakUtil.tabList);

	self:createBackBtn();
end

function Lua_GodSeaPeakWindow:dispose()
	if self.roleInfoPanel then
		self.roleInfoPanel:dispose();
		self.roleInfoPanel = nil;
	end
	if self.showPanel then
		self.showPanel:dispose();
		self.showPanel = nil;
	end
	if self.btnList then
		self.btnList:dispose();
		self.btnList = nil;
	end
	self:disposeModel();
	if self.drawEff then
		self.drawEff:dispose();
		self.drawEff = nil;
	end
	DataCenter.winTweenManager:removeWinTween(self.tweenName);
	DataCenter.sceneUtil:setSceneDataExtendVal(self.windowName, "FurEffShow", false);
	self:superCall("dispose");
end

function Lua_GodSeaPeakWindow:onBackBtnClick()
	DataCenter.funcPathUtil:gotoFunction(1038, true);
end

function Lua_GodSeaPeakWindow:showWin(param)
	self:superCall("showWin", param);

	local index;
	if type(param) == "table" then
		index = param.main_id;
	elseif type(param) == "number" then
		index = param;
	end
	self.btnList:setSelected(index or 1);
end

function Lua_GodSeaPeakWindow:onButtonClick(index, data)
	if self.selectedIdx == index then
		return;
	end
	self.prevIdx = self.selectedIdx;
	self.selectedIdx = index;

	if index == 3 then
		self:showScene();
	else
		if index < 4 then
			self:disposeModel();
			self.winBg:setEnable(true);
			if index == 1 then
				self.winBgPath = "/images/god_sea_peak/xui_shzd_bg_1.jpg";
			elseif index == 2 then
				self.winBgPath = "/images/god_sea_peak/xui_shzd_bg_6.jpg";
			end
			self.winBg:setUrl(self.winBgPath);
		end
		self:updateShowInfo();
	end
	if index == 2 then
		self.roleInfoPanel:setMoneyType(204090002, 204090001);
	else
		self.roleInfoPanel:setMoneyType(nil, nil);
	end
end

function Lua_GodSeaPeakWindow:updateShowInfo()
	local arr = DataCenter.godSeaPeakUtil.tabList;
	local data = arr[self.selectedIdx];
	if data == nil then
		return;
	end
	if data.panel == nil then
		if data.path_id then
			DataCenter.funcPathUtil:gotoFunction(data.path_id);
		end
		self.btnList:updateSelected(self.prevIdx);
		self.selectedIdx = self.prevIdx;
	else
		self:removeLuaEvent("SCENE_SHOWING", self, self.onSceneShow);
		if self.showPanel then
			self.showPanel:dispose();
			self.showPanel = nil;
		end

		local panel = checkRequire(data.panel);
		self.showPanel = panel.new(self.content);
		self.showPanel:setSiblingIndex(1);
		self.showPanel:setRectAnchor(9);

		-- DataCenter.winTweenManager:removeWinTween(self.tweenName);
		-- self.tweenName = DataCenter.winTweenManager:createWinTween(self.showPanel.classname, self.windowObj.transform);
	end
end

function Lua_GodSeaPeakWindow:showScene()
	if self.modelScenePanel == nil then
		self:addLuaEvent("SCENE_SHOWING", self, self.onSceneShow);
		self.modelScenePanel = Lua_MultiModelScenePanel.new();
		self.modelScenePanel:showModelScene(40126);
	else
		self:onSceneShow(40126);
	end
end

function Lua_GodSeaPeakWindow:onSceneShow(sceneId)
	if sceneId == 40126 then
		self.winBg:setEnable(false);
		self:updateShowInfo();
	end
end

function Lua_GodSeaPeakWindow:updateTopThree(msg)
	self.modelScenePanel:setModelEnable(false);
	local list = msg.celebrity_list;
	local modelDic = {{0.1, 0, 0}, {1.7, 0, -1}, {-1.65, 0, -1.5}};
	for i = 1, 3 do
		if list and #list >= i then
			if DataCenter.roleData:isMyself(list[i].show_role.id) then
				data = DataCenter.roleData:getOwnDressUpId(Lua_DressUpDefine.MAINTYPE_MODEL);
			else
				data = DataCenter.roleData:getDressUpId(Lua_DressUpDefine.MAINTYPE_MODEL, list[i].show_role.dress_info)
			end
			data = DataCenter.roleUtil:getDressUpVoById(data)
			if data then
				if data.bShowFur then
					DataCenter.sceneUtil:setSceneDataExtendVal(self.windowName, "FurEffShow", true);
				end
				self.modelScenePanel:addSingleModel(i, data.uiModelUrl, data.uiModelAvatarName, nil, data.uiModelDir, 1, modelDic[i], true);
			end
		end
	end
end

function Lua_GodSeaPeakWindow:disposeModel()
	if self.modelScenePanel then
		self.modelScenePanel:dispose()
		self.modelScenePanel = nil
	end
end

function Lua_GodSeaPeakWindow:onTreasureDraw(value)
	if value == true then
		if self.drawEff == nil then
			self.drawEff = UICreate.createUIEffect(self.content, "/effects/uiEffects/ui_shzd_zpdj", "ui_shzd_zpdj", 0, 0);

			self.drawMask = UICreate.createUIAtlasImage(self.content, "common_altas_1", "default", 0, 0, 2048, 2048);
			self.drawMask.clickScale = false;
			self.drawMask.clickSound = nil;
			self.drawMask:addClickFuntion(self, self.onMaskClick);
		else
			self.drawEff:setEnable(false);
			self.drawEff:setEnable(true);
			self.drawMask:setEnable(true);
		end
	else
		if self.drawEff then
			self.drawEff:setEnable(false);
			self.drawMask:setEnable(false);
		end
	end
end