Lua_GodSeaPeakBoxWindow = class("Lua_GodSeaPeakBoxWindow", Lua_Window)
function Lua_GodSeaPeakBoxWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodSeaPeakBoxWindow";
	self.skinName = "GodSeaPeakBoxWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GodSeaPeakBoxWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 626, 750, Lua_AxisDefine.Vertical);
	self.itemList:setListCell(Lua_GodSeaPeakBoxItem, 626, 165, 1);
	self.itemList:setLocation(0, -58, 0);
	self.itemList:setCellSpacing(0, 5);

	self:addLuaEvent("GOD_SEA_PEAK_INFO", self, self.updateShowInfo);
	self:updateShowInfo();
end

function Lua_GodSeaPeakBoxWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakBoxWindow:updateShowInfo()
	local arr = DataCenter.godSeaPeakUtil.weekRewardList;
	-- arr:sortf(self, self.onSort);
	self.itemList:setArrayData(arr);
end

function Lua_GodSeaPeakBoxWindow:onSort(a, b)
	stateA = DataCenter.godSeaPeakData:getWeekRewardState(a);
	stateB = DataCenter.godSeaPeakData:getWeekRewardState(b);
	if stateA == stateB then
		if a > b then
			return false;
		end
	elseif stateA == 2 and stateB~= 2 then
		return false;
	elseif stateA ~= 1 and stateB == 1 then
		return false;
	end
	return true;
end










Lua_GodSeaPeakBoxItem = class("Lua_GodSeaPeakBoxItem", Lua_ListCell)
function Lua_GodSeaPeakBoxItem:ctor(p)
	self:superCall("ctor", p, "GodSeaPeakBoxItem_skin");
end

function Lua_GodSeaPeakBoxItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(-240, -20, 0);
	self.itemList.pivot = 1;
	self.itemList.scaleVal = 0.7;

	self.btnSublimt:addClickFuntion(self, self.onSubmitClick);
end

function Lua_GodSeaPeakBoxItem:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_GodSeaPeakBoxItem:setData(data)
	self.data = data;
	local config = DataCenter.godSeaPeakUtil:getRewardConfig(data);
	local times = DataCenter.godSeaPeakData.winTimes;
	if times >= config.win_num then
		self.titleText.text = LanUtil.formateStr(790010, tostring(config.win_num), tostring(times), tostring(config.win_num));
	else
		self.titleText.text = LanUtil.formateStr(790010, tostring(config.win_num), Lua_ColorDefine.getColorStr("ED4C30", times), tostring(config.win_num));
	end
	self.itemList:setArrayData(config.reward);

	local state = DataCenter.godSeaPeakData:getWeekRewardState(data);
	if state == 1 then
		self.btnSublimt:setEnable(true);
		self.stateIcon:setEnable(false);
	else
		self.btnSublimt:setEnable(false);
		self.stateIcon:setEnable(true);
		if state == 2 then
			self.stateIcon:setAltas("common_altas_1", "xui_common_label_12");
		else
			self.stateIcon:setAltas("common_altas_4", "xui_common_label_28");
		end
	end
end

function Lua_GodSeaPeakBoxItem:onPressClick()
	self.itemList:onBoundClick();
end

function Lua_GodSeaPeakBoxItem:onSubmitClick(go)
	Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sRewardReceive(1, self.data);
end