Lua_GodSeaPeakBuyTimesWindow = class("Lua_GodSeaPeakBuyTimesWindow", Lua_Window)
function Lua_GodSeaPeakBuyTimesWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodSeaPeakBuyTimesWindow";
	self.skinName = "GodSeaPeakBuyTimesWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GodSeaPeakBuyTimesWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.numInputItem = Lua_NumberInputItem.new(self.content);
	self.numInputItem.inputText.fontName = Lua_MyUISettings.fangzhengFontName;
	self.numInputItem.inputText.fontSize = 28;
	self.numInputItem.inputText.colorStr = Lua_ColorDefine.transColor("FEFEFE");
	self.numInputItem:setTips(nil, LanUtil.getValue(790039));
	self.numInputItem:setCallBack(self, self.updateCount);

	self.btnSubmit:addClickFuntion(self, self.onSubmitClick);

	self:updateShowInfo();
end

function Lua_GodSeaPeakBuyTimesWindow:dispose()
	if self.numInputItem then
		self.numInputItem:dispose();
		self.numInputItem = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakBuyTimesWindow:updateCount(value)
	self.selectNum = value;
	self.costNum = value * self.singleCostNum;
	self.costText.text = LanUtil.formateStr(790009, tostring(self.costNum));
end

function Lua_GodSeaPeakBuyTimesWindow:updateShowInfo()
	local buyTimes = DataCenter.godSeaPeakData.buyTimes;
	local limitTimes = DataCenter.godSeaPeakUtil.buyLimitTimes - buyTimes;
	local cost = DataCenter.godSeaPeakUtil.buyTimesCost;
	self.costId = cost[1]
	self.singleCostNum = cost[2];
	self.hasNum = DataCenter.packData:getItemCountById(self.costId);

	self.desText.text = LanUtil.formateStr(790008, tostring(limitTimes));
	if limitTimes <= 0 then
		self.numInputItem:setBtnGray(true);
		self.btnSubmit:setBtnEnable(false);
	end

	limitTimes = limitTimes < 1 and 1 or limitTimes;
	limitTimes = limitTimes > 10 and 10 or limitTimes;
	self.numInputItem:setValue(1, 1, limitTimes);
end

function Lua_GodSeaPeakBuyTimesWindow:onSubmitClick(go)
	if self.hasNum >= self.costNum then
		Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sBuyFightTimes(self.selectNum);
	else
		DataCenter.packUtil:openPathWindow(self.costId);
	end
end