Lua_GodSeaPeakDanRewardPanel = class("Lua_GodSeaPeakDanRewardPanel", Lua_DisplayObject)
function Lua_GodSeaPeakDanRewardPanel:ctor(p)
	self:superCall("ctor", p, "GodSeaPeakDanRewardPanel_skin");
end

function Lua_GodSeaPeakDanRewardPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 630, 500, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, 30, 0);
	self.itemList:setListCell(Lua_GodSeaPeakDanRewardItem, 630, 145, 1);
	self.itemList:setCellSpacing(0, 5);

	self.rewardList = Lua_ItemIconList.new(self.content);
	self.rewardList:setLocation(-65, -300, 0);
	self.rewardList.pivot = 1;
	self.rewardList.scaleVal = 0.75;
	self.rewardList.canClick = true;

	self:updateShowInfo();
end

function Lua_GodSeaPeakDanRewardPanel:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	if self.rewardList then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakDanRewardPanel:updateShowInfo()
	self.itemList:setArrayData(DataCenter.godSeaPeakUtil.danList);

	local vo = DataCenter.godSeaPeakData:getDanVoById(DataCenter.godSeaPeakData.curDanId);
	self.levelText.text = vo.name;
	self.rewardList:setArrayData(vo.finishReward);
end










Lua_GodSeaPeakDanRewardItem = class("Lua_GodSeaPeakDanRewardItem", Lua_ListCell)
function Lua_GodSeaPeakDanRewardItem:ctor(p)
	self:superCall("ctor", p, "GodSeaPeakDanRewardItem_skin");
end

function Lua_GodSeaPeakDanRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardList = Lua_ItemIconList.new(self.content);
	self.rewardList:setLocation(-65, 0, 0);
	self.rewardList.pivot = 1;
	self.rewardList.scaleVal = 0.75;
end

function Lua_GodSeaPeakDanRewardItem:dispose()
	if self.rewardList then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakDanRewardItem:setData(data)
	local vo = DataCenter.godSeaPeakData:getDanVoById(data);
	self.lvIcon:setAltas("god_sea_peak_atlas_2", vo.icon);
	self.levelText.text = vo.name;
	self.rewardList:setArrayData(vo.finishReward);
end

function Lua_GodSeaPeakDanRewardItem:onPressClick()
	self.rewardList:onBoundClick();
end