Lua_GodSeaPeakFirstRewardPanel = class("Lua_GodSeaPeakFirstRewardPanel", Lua_DisplayObject)
function Lua_GodSeaPeakFirstRewardPanel:ctor(p)
	self:superCall("ctor", p);
end

function Lua_GodSeaPeakFirstRewardPanel:buildShowItem()
	self:superCall("buildShowItem");
	self.bg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "xui_common_widget_008", 0, -45, 650, 666);

	self.itemList = Lua_DragList.new(self.content, 630, 648, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -45, 0);
	self.itemList:setListCell(Lua_GodSeaPeakFirstRewardItem, 630, 145, 1);
	self.itemList:setCellSpacing(0, 5);
	
	self:addLuaEvent("GOD_SEA_DAN_REWARD", self, self.updateShowInfo);
	self:updateShowInfo();
end

function Lua_GodSeaPeakFirstRewardPanel:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakFirstRewardPanel:updateShowInfo()
	self.itemList:setArrayData(DataCenter.godSeaPeakUtil.reachRewardList);
end










Lua_GodSeaPeakFirstRewardItem = class("Lua_GodSeaPeakFirstRewardItem", Lua_ListCell)
function Lua_GodSeaPeakFirstRewardItem:ctor(p)
	self:superCall("ctor", p, "GodSeaPeakFirstRewardItem_skin");
end

function Lua_GodSeaPeakFirstRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardList = Lua_ItemIconList.new(self.content);
	self.rewardList:setLocation(-110, 0, 0);
	self.rewardList.pivot = 1;
	self.rewardList.scaleVal = 0.75;

	self.btnReceive:addClickFuntion(self, self.onReceiveClick);
end

function Lua_GodSeaPeakFirstRewardItem:dispose()
	if self.rewardList then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_GodSeaPeakFirstRewardItem:setData(data)
	self.data = data;

	local vo = DataCenter.godSeaPeakData:getDanVoById(data);
	self.lvIcon:setAltas("god_sea_peak_atlas_2", vo.icon);
	self.levelText.text = vo.name;
	self.rewardList:setArrayData(vo.reachReward);

	if vo.rewardState == 1 then
		self.btnReceive:setEnable(true);
		self.stateIcon:setEnable(false);
	else
		self.btnReceive:setEnable(false);
		self.stateIcon:setEnable(true);
		if vo.rewardState == 2 then
			self.stateIcon:setAltas("common_altas_1", "xui_common_label_12");
		else
			self.stateIcon:setAltas("common_altas_4", "xui_common_label_28");
		end
	end
end

function Lua_GodSeaPeakFirstRewardItem:onPressClick()
	self.rewardList:onBoundClick();
end

function Lua_GodSeaPeakFirstRewardItem:onReceiveClick(go)
	Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sRewardReceive(2, self.data);
end