Lua_GodSeaPeakPanel = class("Lua_GodSeaPeakPanel", Lua_DisplayObject)
function Lua_GodSeaPeakPanel:ctor(p)
	self:superCall("ctor", p, "GodSeaPeakPanel_skin");
end

function Lua_GodSeaPeakPanel:buildShowItem()
	self:superCall("buildShowItem");
	self.danArr = Array();
	self.boxArr = Array();
	self:addLuaEvent("GOD_SEA_DAN_SELECT", self, self.onDanSelected);
	self:addLuaEvent("GOD_SEA_PEAK_INFO", self, self.updateServerInfo);
	self:addLuaEvent("GOD_SEA_PEAK_CHECK_SCORE", self, self.onScoreCheck);
	self:addLuaEvent("GOD_SEA_PEAK_UPSUCCESS", self, self.onUpSuccess);
	self:addLuaEvent("GOD_SEA_DAN_REWARD", self, self.updateRewardState);
	self:addLuaEvent("GOD_SEA_DAN_FIGHT", self, self.onFightClick);
	-- self:addLuaEvent("CHECK_GODSEAPEAK_WARORDER", self, self.updateWarOrder);

	self.bgEff = UICreate.createUIEffect(self.content, "/effects/uiEffects/ui_shzd_hm", "ui_shzd_hm", 0, 0);
	self.bgEff.siblingIndex = 0;

	self.itemList = Lua_DragList.new(self.content, 720, 1004 + self.adaptHeight, Lua_AxisDefine.Vertical);
	self.itemList:setSiblingIndex(1);
	self.itemList:setLocation(0, 161, 0);
	self.itemList:setListCell(Lua_GodSeaDanItem, 720, 1004 + self.adaptHeight, 1);
	self.itemList:setCellSpacing(0, 250);
    self.itemList.callBackOwner = self;
    self.itemList.dragCallBack = self.updateCurPos;
	self.itemList:setArrayData(DataCenter.godSeaPeakUtil.danList);

	self.danRewardRed = Lua_RedPointIcon.new(self.rewardObject, Lua_RedPointList.GodSeaPeak_DanReward);
	self.danRewardRed:setLocation(330, -195);

	self.taskRed = Lua_RedPointIcon.new(self.taskObject, Lua_RedPointList.GodSeaPeak_Task);
	self.taskRed:setLocation(330, -300);

	self.recordRed = Lua_RedPointIcon.new(self.content, Lua_RedPointList.GodSeaPeak_Record);
	self.recordRed:setRectAnchor(7);
	self.recordRed:setLocation(310, 330);

	self.warOrderRed = Lua_RedPointIcon.new(self.warObject, Lua_RedPointList.GodSeaPeak_WarOrder);
	self.warOrderRed:setLocation(330, -400);

	self.selfAvatar = Lua_GodSeaDanAvatarItem.new(self.content);
	self.selfAvatar:setEnable(false);

	self.btnHelp:addClickFuntion(self, self.onCheckHelp);
	self.checkReward:addClickFuntion(self, self.onCheckReward);
	self.checkTask:addClickFuntion(self, self.onCheckTask);
	self.checkWar:addClickFuntion(self, self.onCheckWar);
	self.changeLineup:addClickFuntion(self, self.onChangeLineup);
	self.checkRecord:addClickFuntion(self, self.onCheckRecord);

	self:onDanSelected(DataCenter.godSeaPeakData.curDanId, true);
	self:updateDanInfo();
	self:updateBoxInfo();
	self:updateWarOrder()
	Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sWinInfo(0);
	Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sCheckScore();
	DataCenter.redPointData:updateRedPointState(Lua_RedPointList.GodSeaPeak_Fight, false, true);
end

function Lua_GodSeaPeakPanel:dispose()
	self:stopTimer();
	DataCenter.preLoadData:removeBySign("Lua_GodSeaPeakLineupWindow", self, self.onSceneShow);
	if self.bgEff then
		self.bgEff:dispose();
		self.bgEff = nil;
	end
	if self.danArr then
		self.danArr:dispose();
		self.danArr:clear();
		self.danArr = nil;
	end
	if self.boxArr then
		self.boxArr:dispose();
		self.boxArr:clear();
		self.boxArr = nil;
	end	
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	if self.danRewardRed then
		self.danRewardRed:dispose();
		self.danRewardRed = nil;
	end
	if self.taskRed then
		self.taskRed:dispose();
		self.taskRed = nil;
	end
	if self.recordRed then
		self.recordRed:dispose();
		self.recordRed = nil;
	end
	if self.warOrderRed then
		self.warOrderRed:dispose();
		self.warOrderRed = nil;
	end
	if self.selfAvatar then
		self.selfAvatar:dispose();
		self.selfAvatar = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakPanel:onScreenResize(adaptHeight)
	self:superCall("onScreenResize", adaptHeight);
	self.itemList:setListCell(Lua_GodSeaDanItem, 720, 1004 + self.adaptHeight, 1);
	self.itemList:setContentRect(720, 1004 + adaptHeight);
end

function Lua_GodSeaPeakPanel:updateCurPos(curPos)
	if self.curPosY == nil then
		return;
	end

	-- print(curPos, self.curPosY)
	curPos = -curPos;
	if curPos > self.curPosY + 540 then
		self.selfAvatar:setEnable(true);
		self.selfAvatar:setDir(0);
		self.selfAvatar:setLocation(0, -245 - self.adaptHeight / 2, 0);
	elseif curPos < self.curPosY - 640 then
		self.selfAvatar:setEnable(true);
		self.selfAvatar:setDir(1);
		self.selfAvatar:setLocation(0, 565 + self.adaptHeight / 2, 0);
	else
		self.selfAvatar:setEnable(false);
	end
end

function Lua_GodSeaPeakPanel:onDanSelected(id, immediately, bCheck)
	if self.selectDanId == id and bCheck then
		return;
	end
	self.selectDanId = id;

	local arr = DataCenter.godSeaPeakUtil.danList;
	local index = arr:indexOf(id);
	self.itemList:moveToIndex(index, immediately);
end

function Lua_GodSeaPeakPanel:updateServerInfo()
	local data = DataCenter.godSeaPeakData;
	local config = DataCenter.godSeaPeakUtil:getDanConfig(data.curDanId);
	self.socreText.text = LanUtil.formateStr(790002, tostring(data.integral));
	self.danText.text = LanUtil.formateStr(790003, config.name);
	if data.curRank <= 0 then
		self.rankText:setLangValue(790035);
	else
		self.rankText.text = LanUtil.formateStr(790004, tostring(data.curRank));
	end

	self:startTimer();
	self:onTimer();
	self:updateDanInfo();
	self:updateBoxInfo();
end

function Lua_GodSeaPeakPanel:onScoreCheck()
	local scoreChange = DataCenter.godSeaPeakData.newScore - DataCenter.godSeaPeakData.oldScore;
	local upDanId = DataCenter.godSeaPeakData.newDan - DataCenter.godSeaPeakData.oldDan;
	if upDanId > 0 then
		Lua_WindowUtil.openWin("Lua_GodSeaPeakMatchWindow", Lua_WinParam.ACTION_CLOSE);
	else
		self:onUpSuccess(false);
	end
	if self.isFitstEnter ~= false and scoreChange ~= 0 then
		Lua_WindowUtil.openWin("Lua_GodSeaPeakScoreChangeWindow", Lua_WinParam.ACTION_OPEN, scoreChange);
	elseif upDanId > 0 then
		Lua_WindowUtil.openWin("Lua_GodSeaPeakUpSuccessWindow", Lua_WinParam.ACTION_OPEN);
	end
	self.isFitstEnter = false;
end

function Lua_GodSeaPeakPanel:onUpSuccess(bUpSuccess)
	local curDanId = DataCenter.godSeaPeakData.curDanId;
	local arr = self.itemList.showDragDataList;
	for i = 1, arr:getSize() do
		if arr[i].data == curDanId then
			self.curPosY = arr[i].itemY;
			break;
		end
	end
	if bUpSuccess == false then
		self:onDanSelected(curDanId, true, true);
	else
		self:onDanSelected(curDanId, false, true);
	end
	self.itemList:updateShowList();
end

function Lua_GodSeaPeakPanel:updateRewardState()
	self.itemList:updateShowList();
end

function Lua_GodSeaPeakPanel:startTimer()
	if self.bTimer ~= true then
		self.bTimer = true;
		self:addTimer("Lua_GodSeaPeakPanel", 1, self, self.onTimer, nil, -1);
	end
end

function Lua_GodSeaPeakPanel:stopTimer()
	if self.bTimer == true then
		self.bTimer = false;
		self:removeTimer(self, self.onTimer);
	end
end

function Lua_GodSeaPeakPanel:onTimer()
	local second = DataCenter.godSeaPeakData.endTick - DataCenter.roleData.serverTime;
	if second > 0 then
		if DataCenter.godSeaPeakData.acquiredState == 1 then
			self.timeText.text = LanUtil.formateStr(790042, Lua_TimeTransform.transSeconds18(second));
		else
			self.timeText.text = LanUtil.formateStr(790001, Lua_TimeTransform.transSeconds18(second));
		end
	else
		self.timeText.text = nil;
	end
end

function Lua_GodSeaPeakPanel:updateDanInfo()
	local arr = DataCenter.godSeaPeakUtil.binDanList;
	local len = arr:getSize();
	local item;
	for i = 1, len do
		item = self.danArr[i];
		if item == nil then
			item = Lua_GodSeaDanIconItem.new(self.content);
			self.danArr:add(item);
		end
		item:setData(i, len, arr[i]);
		item:setLocation(-317, -100 + (i - 1) * 110, 0);
	end
end

function Lua_GodSeaPeakPanel:updateBoxInfo()
	local times = DataCenter.godSeaPeakData.winTimes;
	self.timesText.text = LanUtil.formateStr(790005, tostring(times));

	local arr = DataCenter.godSeaPeakUtil.weekRewardList;
	local len = arr:getSize();
	local maxValue = self:getWinNum(arr[len]);
	local value = 0;
	local index = 1;
	local curVal;
	local prevVal;
	if times >= maxValue then
		value = maxValue;
	else
		local stepSpace = maxValue / len;
		for i = 1, len do
			curVal = self:getWinNum(arr[i]);
			if curVal >= times then
				index = i;
				break;
			end
		end
		value = value + stepSpace * (index - 1);
		local num;
		if index <= 1 then
			curVal = self:getWinNum(arr[index]);
			num = stepSpace / curVal;
			value = value + times * num;
		else
			prevVal = self:getWinNum(arr[index - 1]);
			num = stepSpace / (curVal - prevVal);
			value = value + (times - prevVal) * num;
		end
	end
	self.timesBar:setMaxValue(maxValue);
	self.timesBar:setValue(value);

	for i = 1, len do
		item = self.boxArr[i];
		if item == nil then
			item = Lua_GodSeaDanBoxItem.new(self.content);
			self.boxArr:add(item);
		end
		item:setRectAnchor(4);
		item:setLocation(i / len * 630 - 325, 165, 0);
		item:setRectAnchor(7);
		item:setData(arr[i]);
	end
end

function Lua_GodSeaPeakPanel:getWinNum(id)
	return getConfig("god_sea_award", id, "win_num") or 0;
end

function Lua_GodSeaPeakPanel:onFightClick(id)
	if DataCenter.heroLineupData:checkLineupIsNull(60) then
		local tipsData = { des = 790006, btnType = 1, owner = self, sureFun = self.onDefendLineup };
		Lua_WindowUtil.openWin("Lua_TipsWindow", Lua_WinParam.ACTION_OPEN, tipsData);
		return;
	end

	if DataCenter.godSeaPeakData.leftFightTimes > 0 then
		Lua_WindowUtil.openWin("Lua_GodSeaPeakMatchWindow", Lua_WinParam.ACTION_OPEN, id);
	elseif DataCenter.godSeaPeakData.leftBuyTimes > 0 then
		Lua_WindowUtil.openWin("Lua_GodSeaPeakBuyTimesWindow", Lua_WinParam.ACTION_OPEN);
	else
		OperateAlert.showLangValue(790027);
	end
end

function Lua_GodSeaPeakPanel:onDefendLineup()
	self:onChangeLineup();
end

function Lua_GodSeaPeakPanel:onCheckHelp(go)
	Lua_WindowUtil.openWin("Lua_InstructionTipsWindow", Lua_WinParam.ACTION_OPEN, { des = 790000, posX = 160, posY = -290 });
end

function Lua_GodSeaPeakPanel:onCheckReward(go)
	Lua_WindowUtil.openWin("Lua_GodSeaPeakRewardWindow", Lua_WinParam.ACTION_OPEN);
end

function Lua_GodSeaPeakPanel:onCheckTask(go)
	Lua_WindowUtil.openWin("Lua_GodSeaPeakTaskWindow", Lua_WinParam.ACTION_OPEN);
end

function Lua_GodSeaPeakPanel:onCheckWar(go)
	DataCenter.funcPathUtil:gotoFunction(1191)
end

function Lua_GodSeaPeakPanel:onChangeLineup(go)
	local sceneId = DataCenter.heroLineupData:getFightLineupSceneId(Lua_FightDefine.TEMPLATE_ID_GODSEAPEAK);
	DataCenter.preLoadData:preShowScene("Lua_GodSeaPeakLineupWindow", Lua_PreLoadDefine.LOADSHOW_TYPE_NONE, self, self.onSceneShow, nil, sceneId, 0);
end

function Lua_GodSeaPeakPanel:onSceneShow(param, mp, success)
	if not success then return; end
	Lua_WindowUtil.openWin("Lua_GodSeaPeakLineupWindow", Lua_WinParam.ACTION_OPEN, 60);
end

function Lua_GodSeaPeakPanel:onCheckRecord(go)
	self.recordRed:clickHandler();
	Lua_WindowUtil.openWin("Lua_GodSeaPeakRecordWindow", Lua_WinParam.ACTION_OPEN);
end

function Lua_GodSeaPeakPanel:updateWarOrder()
	local state = DataCenter.funcOpenData:isOpened(10319);
	-- if state then
	-- 	state = not DataCenter.warOrderData:isGetAllReward(Lua_WarOrderData.GodSeaPeak);
	-- end
	self.warObject:SetActive(state);
end










Lua_GodSeaDanItem = class("Lua_GodSeaDanItem", Lua_ListCell)
function Lua_GodSeaDanItem:ctor(p)
	self:superCall("ctor", p, "GodSeaDanItem_skin");
end

function Lua_GodSeaDanItem:buildShowItem()
	self:superCall("buildShowItem");
	self.avatarList = Array();
	self:addLuaEvent("GOD_SEA_PEAK_FIGHT_TIMES", self, self.updateFightTimes);

	self.bgEff = UICreate.createUIEffect(self.content, nil, nil, -5, -235);
	self.bgEff.siblingIndex = 0;

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setScale(0.7, 0.7, 1);
	self.itemIcon:setLocation(-169, -40, 0);

	self.bg.resetBgSize = true;
	self.rewardBg:addClickFuntion(self, self.onRewardClick);
	self.selfBg:addClickFuntion(self, self.onSelfClick);
	self.roleBg:addClickFuntion(self, self.onCheckRole);
	self.btnFight:addClickFuntion(self, self.onFightClick);
	self.btnAddTimes:addClickFuntion(self, self.onAddFightTimes);
end

function Lua_GodSeaDanItem:dispose()
	if self.bgEff then
		self.bgEff:dispose();
		self.bgEff = nil;
	end
	if self.avatarList then
		self.avatarList:dispose();
		self.avatarList:clear();
		self.avatarList = nil;
	end
	if self.itemIcon then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	if self.selfAvatar then
		self.selfAvatar:dispose();
		self.selfAvatar = nil;
	end
	if self.redPoint then
		self.redPoint:dispose();
		self.redPoint = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_GodSeaDanItem:setData(data)
	self.data = data;
	self:updateData();
end

function Lua_GodSeaDanItem:updateData()
	local vo = DataCenter.godSeaPeakData:getDanVoById(self.data);
	self.bg:setUrl(vo.bgPath);
	self.bgEff:setUrl("/effects/uiEffects/ui_shzd_dy", vo.bgEff);
	self.danText.text = vo.name;
	self.danIcon:setAltas("god_sea_peak_atlas_2", vo.icon);
	self.scoreText.text = LanUtil.formateStr(10052, tostring(vo.scoreRange[1]), tostring(vo.scoreRange[2]));
	self.peopleNumText.text = vo.personNum;

	self.itemIcon:setData(vo.firstRewardVo);
	if DataCenter.godSeaPeakData.curDanId == self.data then
		self:showSelfAvatar(true);
		self.btnFight:setEnable(true);
		self.timesBg:setEnable(true);
		self.timesText:setEnable(true);
		self:updateFightTimes();
		self.btnAddTimes:setEnable(true);
	else
		self:showSelfAvatar(false);
		self.btnFight:setEnable(false);
		self.timesBg:setEnable(false);
		self.timesText:setEnable(false);
		self.btnAddTimes:setEnable(false);
	end
	self:showTopAvatar(vo.spireRole);
	self:showRedPoint(vo.rewardState == 1);
end

function Lua_GodSeaDanItem:updateFightTimes()
	self.timesText.text = LanUtil.formateStr(790007, tostring(DataCenter.godSeaPeakData.leftFightTimes));
end

function Lua_GodSeaDanItem:showSelfAvatar(bValue)
	self.selfBg:setEnable(bValue);
	if bValue then
		if self.selfAvatar == nil then
			self.selfAvatar = Lua_AvatarItem.new(self.content);
			self.selfAvatar:setLocation(1, -40, 0);
			self.selfAvatar:setRoleDressUp(DataCenter.roleData.dress_info);
		end
		self.selfAvatar:setEnable(true);
	else
		if self.selfAvatar then
			self.selfAvatar:setEnable(false);
		end
	end
end

function Lua_GodSeaDanItem:showTopAvatar(list)
	local dataLen = list and #list or 0;
	local len = self.avatarList:getSize();
	local maxLen = dataLen > len and dataLen or len;
	local item;
	local siblingIndex = self.btnAddTimes.siblingIndex;
	local startX = 150;
	if dataLen == 1 then
		startX = 170;
	elseif dataLen == 2 then
		startX = 160;
	end
	for i = 1, maxLen do
		item = self.avatarList[i];
		if i > dataLen then
			if item then
				item:setEnable(false);
			end
		else
			if item == nil then
				item = Lua_AvatarItem.new(self.content);
				item:setScale(0.7, 0.7, 1);
				self.avatarList:add(item);
			else
				item:setEnable(true);
			end
			siblingIndex = siblingIndex - 1;
			item:setSiblingIndex(siblingIndex);
			item:setLocation(startX + (i - 1) * 20, -40, 0);
			item:setRoleDressUp(list[i] and list[i].dress_info, false);
		end
	end
end

function Lua_GodSeaDanItem:showRedPoint(bShow)
	if bShow then
		if self.redPoint == nil then
			self.redPoint = Lua_RedPointIcon.new(self.content);
			self.redPoint:setLocation(-135, -5, 0);
		end
		self.redPoint:setShowState(true);
	else
		if self.redPoint then
			self.redPoint:setShowState(false);
		end
	end
end

function Lua_GodSeaDanItem:onRewardClick(go)
	local vo = DataCenter.godSeaPeakData:getDanVoById(self.data);
	if vo == nil or vo.rewardState ~= 1 then
		DataCenter.packUtil:showItemInfo(self.itemIcon.data);
	else
		Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sRewardReceive(2, self.data);
	end
end

function Lua_GodSeaDanItem:onSelfClick()
	OperateAlert.showLangValue(790036);
end

function Lua_GodSeaDanItem:onCheckRole(go)
	Lua_WindowUtil.openWin("Lua_GodSeaPeakRoleWindow", Lua_WinParam.ACTION_OPEN, self.data);
end

function Lua_GodSeaDanItem:onFightClick(go)
	if DataCenter.godSeaPeakData.acquiredState == 1 then
		OperateAlert.showLangValue(790043);
		return;
	end
	Lua_MsgUtil.callFunc("GOD_SEA_DAN_FIGHT", self.data);
end

function Lua_GodSeaDanItem:onAddFightTimes(go)
	if DataCenter.godSeaPeakData.acquiredState == 1 then
		OperateAlert.showLangValue(790044);
		return;
	end
	Lua_WindowUtil.openWin("Lua_GodSeaPeakBuyTimesWindow", Lua_WinParam.ACTION_OPEN);
end










Lua_GodSeaDanIconItem = class("Lua_GodSeaDanIconItem", Lua_DisplayObject)
function Lua_GodSeaDanIconItem:ctor(p)
	self:superCall("ctor", p, "GodSeaDanIconItem_skin");
end

function Lua_GodSeaDanIconItem:buildShowItem()
	self:superCall("buildShowItem");
	self.icon:setScale(0.5, 0.5, 1);
	self.icon:addClickFuntion(self, self.onClick);
end

function Lua_GodSeaDanIconItem:dispose()
	self.data = nil;
	self:superCall("dispose");
end

function Lua_GodSeaDanIconItem:setData(index, len, binDanId)
	self.data = DataCenter.godSeaPeakUtil:getDanConfig(1000 + binDanId * 10 + 1);
	self.icon:setAltas("god_sea_peak_atlas_2", self.data.icon);
	local curBigDanId = getConfig("god_sea_dan", DataCenter.godSeaPeakData.curDanId, "big_dan") or 0;
	if binDanId <= curBigDanId then
		self.bg:setAltas("god_sea_peak_atlas_1", "xui_shzd_widget_3");
	else
		self.bg:setAltas("god_sea_peak_atlas_1", "xui_shzd_widget_2");
	end
	self.bg:resetSize();
	if index >= len then
		self.barBg:setEnable(false);
		self.barImg:setEnable(false);
		self.tickIcon:setEnable(binDanId == curBigDanId);
	else
		self.barBg:setEnable(true);
		self.barImg:setEnable(curBigDanId > binDanId);
		self.tickIcon:setEnable(binDanId < curBigDanId);
	end
end

function Lua_GodSeaDanIconItem:onClick(go)
	local curDanId = DataCenter.godSeaPeakData.curDanId;
	local curBigDanId = getConfig("god_sea_dan", curDanId, "big_dan") or 0;
	if self.data.big_dan == curBigDanId then
		Lua_MsgUtil.callFunc("GOD_SEA_DAN_SELECT", curDanId);
	else
		Lua_MsgUtil.callFunc("GOD_SEA_DAN_SELECT", self.data.id);
	end
end










Lua_GodSeaDanBoxItem = class("Lua_GodSeaDanBoxItem", Lua_DisplayObject)
function Lua_GodSeaDanBoxItem:ctor(p)
	self:superCall("ctor", p, "GodSeaDanBoxItem_skin");
end

function Lua_GodSeaDanBoxItem:buildShowItem()
	self:superCall("buildShowItem");
	self.boxIcon:setScale(1.5, 1.5, 1);
	self.boxIcon:addClickFuntion(self, self.onBoxClick);
end

function Lua_GodSeaDanBoxItem:dispose()
	self.data = nil;
	self:superCall("dispose");
end

function Lua_GodSeaDanBoxItem:setData(data)
	self.data = data;
	local config = DataCenter.godSeaPeakUtil:getRewardConfig(data);
	local state = DataCenter.godSeaPeakData:getWeekRewardState(data);

	self.timesText.text = config.win_num;
	if state == 2 then
		self.boxIcon:setAltas("god_sea_peak_atlas_1", "xui_shzd_widget_10");
	elseif state == 1 then
		self.boxIcon:setAltas("god_sea_peak_atlas_1", "xui_shzd_widget_11");
	else
		self.boxIcon:setAltas("god_sea_peak_atlas_1", "xui_shzd_widget_9");
	end
end

function Lua_GodSeaDanBoxItem:onBoxClick(go)
	local state = DataCenter.godSeaPeakData:getWeekRewardState(self.data);
	if state == 1 then
		Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sRewardReceive(1, self.data);
	else
		Lua_WindowUtil.openWin("Lua_GodSeaPeakBoxWindow", Lua_WinParam.ACTION_OPEN);
	end
end










Lua_GodSeaDanAvatarItem = class("Lua_GodSeaDanAvatarItem", Lua_DisplayObject)
function Lua_GodSeaDanAvatarItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_GodSeaDanAvatarItem:buildShowItem()
	self:superCall("buildShowItem");
	self.bg = UICreate.createUIAtlasImage(self.content, "god_sea_peak_atlas_1", "xui_shzd_widget_5", 0, 0, 0, 0);

	self.avatarItem = Lua_AvatarItem.new(self.content);
	self.avatarItem:setLocation(0, 10, 0);
	self.avatarItem:setRoleDressUp(DataCenter.roleData.dress_info);
	self.avatarItem:setAvatarClick(self, self.onClick);
end

function Lua_GodSeaDanAvatarItem:dispose()
	if self.avatarItem then
		self.avatarItem:dispose();
		self.avatarItem = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaDanAvatarItem:setDir(dir)
	if dir == 1 then
		self.bg:setRot(0, 0, -180);
		self.avatarItem:setLocation(0, -10, 0);
	else
		self.bg:setRot(0, 0, 0);
		self.avatarItem:setLocation(0, 10, 0);
	end
end

function Lua_GodSeaDanAvatarItem:onClick()
	Lua_MsgUtil.callFunc("GOD_SEA_DAN_SELECT", DataCenter.godSeaPeakData.curDanId);
end