Lua_GodSeaPeakRankRewardPanel = class("Lua_GodSeaPeakRankRewardPanel", Lua_DisplayObject)
function Lua_GodSeaPeakRankRewardPanel:ctor(p)
	self:superCall("ctor", p, "GodSeaPeakRankRewardPanel_skin");
end

function Lua_GodSeaPeakRankRewardPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 630, 500, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, 30, 0);
	self.itemList:setListCell(Lua_GodSeaPeakRankRewardItem, 630, 120, 1);
	self.itemList:setCellSpacing(0, 5);

	self:updateShowInfo();
end

function Lua_GodSeaPeakRankRewardPanel:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	if self.rewardList then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakRankRewardPanel:updateShowInfo()
	local arr = DataCenter.godSeaPeakUtil.rankRewardList;
	self.itemList:setArrayData(arr);

	local curRank = DataCenter.godSeaPeakData.curRank;
	if curRank <= 0 then
		self.rankText:setLangValue(202544);
	else
		self.rankText.text = curRank;

		local len = arr:getSize();
		local config;
		for i = 1, len do
			config = DataCenter.godSeaPeakUtil:getRewardConfig(arr[i]);
			if curRank >= config.ranking_range[1] and curRank <= config.ranking_range[2] then
				break;
			end
		end
		if config == nil then
			config = DataCenter.godSeaPeakUtil:getRewardConfig(arr[len]);
		end
		if self.rewardList == nil then
			self.rewardList = Lua_ItemIconList.new(self.content);
			self.rewardList:setLocation(83.5, -300, 0);
			self.rewardList.scaleVal = 0.75;
			self.rewardList.canClick = true;
		end
		self.rewardList:setArrayData(config.reward);
	end
end










Lua_GodSeaPeakRankRewardItem = class("Lua_GodSeaPeakRankRewardItem", Lua_ListCell)
function Lua_GodSeaPeakRankRewardItem:ctor(p)
	self:superCall("ctor", p, "GodSeaPeakRankRewardItem_skin");
end

function Lua_GodSeaPeakRankRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardList = Lua_ItemIconList.new(self.content);
	self.rewardList:setLocation(83.5, 0, 0);
	self.rewardList.scaleVal = 0.75;
end

function Lua_GodSeaPeakRankRewardItem:dispose()
	if self.rewardList then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakRankRewardItem:setData(data)
	local config = DataCenter.godSeaPeakUtil:getRewardConfig(data);
	if config.ranking_range[1] <= 3 then
		self.rankIcon:setAltas("common_altas_4", "xui_jys_label_1"..(config.ranking_range[1] - 1));
		self.rankText:setEnable(false);
	else
		self.rankIcon:setAltas("common_altas_4", "xui_jys_label_13");
		self.rankText:setEnable(true);
		if config.ranking_range[1] == config.ranking_range[2] then
			self.rankText.text = config.ranking_range[1];
		else
			self.rankText.text = LanUtil.formateStr(10052, tostring(config.ranking_range[1]), tostring(config.ranking_range[2]));
		end
		self.rankText.fontSize = config.font_size;
	end
	self.rewardList:setArrayData(config.reward);
end

function Lua_GodSeaPeakRankRewardItem:onPressClick()
	self.rewardList:onBoundClick();
end