Lua_GodSeaPeakRecordWindow = class("Lua_GodSeaPeakRecordWindow", Lua_Window)
function Lua_GodSeaPeakRecordWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodSeaPeakRecordWindow";
	self.skinName = "GodSeaPeakRecordWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GodSeaPeakRecordWindow:buildShowItem()
	self:superCall("buildShowItem");
	self:addLuaEvent("GOD_SEA_PEAK_RECORD", self, self.updateShowInfo);
	Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sRecordInfo();
end

function Lua_GodSeaPeakRecordWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakRecordWindow:updateShowInfo(msg)
	if msg.fight_report_info == nil or #msg.fight_report_info <= 0 then
		self:showNone(true);
	else
		if self.itemList == nil then
			self.itemList = Lua_DragList.new(self.content, 630, 755, Lua_AxisDefine.Vertical);
			self.itemList:setLocation(0, -58, 0);
			self.itemList:setListCell(Lua_GodSeaPeakRecordItem, 630, 184, 1);
			self.itemList:setCellSpacing(0, 5);
		end
		self.itemList:setArrayData(msg.fight_report_info);
	end
end

function Lua_GodSeaPeakRecordWindow:showNone(bValue)
	if bValue then
		if self.noneIcon == nil then
			self.noneIcon = UICreate.createUIAtlasImage(self.content, "common_altas_3", "xui_common_widget_012", 0, -75, 0, 0);
			
			self.noneText = UICreate.createLabel(self.content, nil, 0, -106.5, 100, 40, 40);
			self.noneText.pivotValue = 4;
			self.noneText.fontName = Lua_MyUISettings.huakangFontName;
			self.noneText.alignmentValue = 4;
			self.noneText.horizontalOverflowValue = 1;
			self.noneText.colorStr = Lua_ColorDefine.transColorStr("938680");
			self.noneText:setLangValue(790031);
		end
		self.noneIcon:setEnable(true);
		self.noneText:setEnable(true);
	else
		if self.noneIcon then
			self.noneIcon:setEnable(false);
			self.noneText:setEnable(false);
		end
	end
end










Lua_GodSeaPeakRecordItem = class("Lua_GodSeaPeakRecordItem", Lua_ListCell)
function Lua_GodSeaPeakRecordItem:ctor(p)
	self:superCall("ctor", p, "GodSeaPeakRecordItem_skin");
end

function Lua_GodSeaPeakRecordItem:buildShowItem()
	self:superCall("buildShowItem");

	self.leftAvatar = Lua_AvatarItem.new(self.content);
	self.leftAvatar:setSiblingIndex(1);
	self.leftAvatar:setScale(0.75, 0.75, 1);
	self.leftAvatar:setLocation(-223, -10, 0);

	self.rightAvatar = Lua_AvatarItem.new(self.content);
	self.rightAvatar:setSiblingIndex(2);
	self.rightAvatar:setScale(0.75, 0.75, 1);
	self.rightAvatar:setLocation(-40, -10, 0);

	self.checkDetails:addClickFuntion(self, self.onCheckDetails);
end

function Lua_GodSeaPeakRecordItem:dispose()
	if self.leftAvatar ~= nil then
		self.leftAvatar:dispose();
		self.leftAvatar = nil;
	end
	if self.rightAvatar ~= nil then
		self.rightAvatar:dispose();
		self.rightAvatar = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_GodSeaPeakRecordItem:setData(data)
	self.data = data;

	-- 1进攻成功，2进攻失败，3防守成功，4防守失败
	if data.fight_state == 1 or data.fight_state == 4 then
		self.winIcon:setLocation(-261, 30, 0);
	else
		self.winIcon:setLocation(-78, 30, 0);
	end

	-- 1己方为进攻方 2己方为防守方
	if data.self_pos == 1 then
		self.leftAvatar:setRoleDressUp(data.self_dress_info);
		self.leftName.text = data.self_name;

		self.rightAvatar:setRoleDressUp(data.fighter_dress_info);
		self.rightName.text = data.fighter_name;
	else
		self.leftAvatar:setRoleDressUp(data.fighter_dress_info);
		self.leftName.text = data.fighter_name;

		self.rightAvatar:setRoleDressUp(data.self_dress_info);
		self.rightName.text = data.self_name;
	end

	self.timeText.text = Lua_TimeTransform.transSeconds8(data.tick);
	self.scoreText.text = data.prev_score + data.score;
	if data.score > 0 then
		self.changeText.text = Lua_ColorDefine.getColorStr("479154", "+"..data.score);
	elseif data.score < 0 then
		self.changeText.text = Lua_ColorDefine.getColorStr("ED4C30", data.score);
	else
		self.changeText.text = data.score;
	end
	self.resultText.text = LanUtil.formateStr(10050, tostring(data.self_win_times), tostring(data.fighter_win_times));
end

function Lua_GodSeaPeakRecordItem:onCheckDetails(go)
	Lua_WindowUtil.openWin("Lua_GodSeaPeakRecordDetailsWindow", Lua_WinParam.ACTION_OPEN, self.data);
end