Lua_GodSeaPeakRoleWindow = class("Lua_GodSeaPeakRoleWindow", Lua_Window)
function Lua_GodSeaPeakRoleWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodSeaPeakRoleWindow";
	self.skinName = "GodSeaPeakRoleWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GodSeaPeakRoleWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 626, 562, Lua_AxisDefine.Vertical);
	self.itemList:setListCell(Lua_GodSeaPeakRoleItem, 626, 144, 1);
	self.itemList:setLocation(1, -131, 0);
	self.itemList:setCellSpacing(0, 5);

	self:addLuaEvent("GOD_SEA_PEAK_ROLE_INFO", self, self.updateShowInfo);
end

function Lua_GodSeaPeakRoleWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakRoleWindow:showWin(param)
	self:superCall("showWin", param);
	Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sRoleInfo(param);

	local vo = DataCenter.godSeaPeakData:getDanVoById(param);
	self.lvIcon:setAltas("god_sea_peak_atlas_2", vo.icon);
	self.lvText.text = vo.name;
	self.peopleNumText.text = vo.personNum;
	self.scoreText.text = vo.scoreRange[1].."-"..vo.scoreRange[2];
end

function Lua_GodSeaPeakRoleWindow:updateShowInfo(msg)
	table.sort( msg.role_info, function(a, b) return tonumber(a.show_role.force) > tonumber(b.show_role.force) end);
	self.itemList:setArrayData(msg.role_info);
end










Lua_GodSeaPeakRoleItem = class("Lua_GodSeaPeakRoleItem", Lua_ListCell)
function Lua_GodSeaPeakRoleItem:ctor(p)
	self:superCall("ctor", p, "GodSeaPeakRoleItem_skin");
end

function Lua_GodSeaPeakRoleItem:buildShowItem()
	self:superCall("buildShowItem");

	self.avatarItem = Lua_AvatarItem.new(self.content);
	self.avatarItem:setLocation(-235, 0, 0);
end

function Lua_GodSeaPeakRoleItem:dispose()
	if self.avatarItem then
		self.avatarItem:dispose();
		self.avatarItem = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakRoleItem:setData(data)
	self.avatarItem:setRoleDressUp(data.show_role.dress_info);
	self.avatarItem:setRoleLevel(data.show_role.level);
	if strIsNullOrEmpty(data.show_role.server_prev) then
		self.avatarItem:setRoleId(data.show_role.id, data.show_role.server_flag, 1);
		self.nameText.text = data.show_role.name;
	else
		self.avatarItem:setRoleId(data.show_role.id, data.show_role.server_flag, 0);
		self.nameText.text = LanUtil.formateStr(10051, data.show_role.server_prev, data.show_role.name);
	end
	self.forceText.text = data.show_role.force;
	self.scoreText.text = data.score;
end