Lua_GodSeaPeakTaskWindow = class("Lua_GodSeaPeakTaskWindow", Lua_Window)
function Lua_GodSeaPeakTaskWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodSeaPeakTaskWindow";
	self.skinName = "GodSeaPeakTaskWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GodSeaPeakTaskWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 626, 750, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -58, 0);
	self.itemList:setListCell(Lua_GodSeaPeakTaskItem, 626, 165, 1);
	self.itemList:setCellSpacing(0, 5);

	self:addLuaEvent("GOD_SEA_PEAK_TASK", self, self.updateShowInfo);
	Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sTaskInfo();
end

function Lua_GodSeaPeakTaskWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakTaskWindow:updateShowInfo(msg)
	table.sort( msg.task_award,
		function(a, b)
			if a.ex_value == b.ex_value then
				if a.key > b.key then
					return false;
				end
			elseif a.ex_value == 2 and b.ex_value ~= 2 then
				return false;
			elseif a.ex_value ~= 1 and b.ex_value == 1 then
				return false;
			end
			return true;
		end 
		);
	self.itemList:setArrayData(msg.task_award);
end










Lua_GodSeaPeakTaskItem = class("Lua_GodSeaPeakTaskItem", Lua_ListCell)
function Lua_GodSeaPeakTaskItem:ctor(p)
	self:superCall("ctor", p, "GodSeaPeakTaskItem_skin");
end

function Lua_GodSeaPeakTaskItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardList = Lua_ItemIconList.new(self.content);
	self.rewardList:setLocation(-250, -15, 0);
	self.rewardList.pivot = 1;
	self.rewardList.scaleVal = 0.7;

	self.btnFunc:addClickFuntion(self, self.onFuncClick);
end

function Lua_GodSeaPeakTaskItem:dispose()
	if self.rewardList then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_GodSeaPeakTaskItem:setData(data)
	self.data = data;
	local config = DataCenter.godSeaPeakUtil:getTaskConfig(data.key);
	self.titleText.text = config.desc;
	self.rewardList:setArrayData(config.task_reward);

	self.scheduleBar:setMaxValue(config.task_progress);
	self.scheduleBar:setValue(data.value);
	self.scheduleBar:setText(LanUtil.formateStr(10044, tostring(data.value), tostring(config.task_progress)));

	if data.ex_value == 2 then
		self.btnFunc:setEnable(false);
		self.stateIcon:setEnable(true);
	else
		self.btnFunc:setEnable(true);
		if data.ex_value == 1 then
			self.btnFunc:setStyle(1);
			self.btnFunc:setLangValue(202801);
		else
			self.btnFunc:setStyle(3);
			self.btnFunc:setLangValue(202800);
		end
		self.stateIcon:setEnable(false);
	end
end

function Lua_GodSeaPeakTaskItem:onPressClick()
	self.rewardList:onBoundClick();
end

function Lua_GodSeaPeakTaskItem:onFuncClick(go)
	if self.data.ex_value == 1 then
		Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sRewardReceive(4, self.data.key);
	else
		Lua_WindowUtil.openWin("Lua_GodSeaPeakTaskWindow", Lua_WinParam.ACTION_CLOSE);
	end
end