Lua_GodSeaPeakUpSuccessWindow = class("Lua_GodSeaPeakUpSuccessWindow", Lua_Window)
function Lua_GodSeaPeakUpSuccessWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodSeaPeakUpSuccessWindow";
	self.skinName = "GodSeaPeakUpSuccessWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GodSeaPeakUpSuccessWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.avatarItem = Lua_AvatarItem.new(self.content);
	self.avatarItem:setLocation(-130, 130, 0);
	self.avatarItem:setRoleDressUp(DataCenter.roleData.dress_info);

	self.nameText.text = DataCenter.roleData.name;

	local scoreChange = DataCenter.godSeaPeakData.newScore - DataCenter.godSeaPeakData.oldScore;
	if scoreChange > 0 then
		scoreChange = Lua_ColorDefine.getColorStr("4ADC3F", "+"..scoreChange);
	else
		scoreChange = Lua_ColorDefine.getColorStr("FF5555", scoreChange);
	end
	self.scoreText.text = LanUtil.formateStr(790028, tostring(DataCenter.godSeaPeakData.integral), tostring(scoreChange));

	local vo = DataCenter.godSeaPeakData:getDanVoById(DataCenter.godSeaPeakData.oldDan);
	self.leftIcon:setAltas("god_sea_peak_atlas_2", vo.icon);
	self.leftName.text = vo.name;
	self.leftScore.text = LanUtil.formateStr(10052, tostring(vo.scoreRange[1]), tostring(vo.scoreRange[2]));

	vo = DataCenter.godSeaPeakData:getDanVoById(DataCenter.godSeaPeakData.newDan);
	self.rightIcon:setAltas("god_sea_peak_atlas_2", vo.icon);
	self.rightName.text = vo.name;
	self.rightScore.text = LanUtil.formateStr(10052, tostring(vo.scoreRange[1]), tostring(vo.scoreRange[2]));
end

function Lua_GodSeaPeakUpSuccessWindow:dispose()
	if self.avatarItem then
		self.avatarItem:dispose();
		self.avatarItem = nil;
	end
	Lua_MsgUtil.callFunc("GOD_SEA_PEAK_UPSUCCESS", true);
	self:superCall("dispose");
end