Lua_GodSeaPeakTreasureRecordWindow = class("Lua_GodSeaPeakTreasureRecordWindow", Lua_Window)
function Lua_GodSeaPeakTreasureRecordWindow:ctor()
	self:superCall("ctor");

	self.w = 432;
	self.h = 510;
	self.windowName = "Lua_GodSeaPeakTreasureRecordWindow";
	self.showBlackMask = true;
	self.isClickClose = true;
	self.showWinBg = true;
	self.winBgAtlas = "common_altas_1";
	self.winBgSprite = "xui_common_tips_001";
end

function Lua_GodSeaPeakTreasureRecordWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 375, 450, Lua_AxisDefine.Vertical);
	self.itemList:setListCell(Lua_GodSeaPeakTreasureRecordItem, 375, 20, 1);
	self.itemList:setCellSpacing(0, 10);

	self:addLuaEvent("GOD_SEA_PEAK_TREASURE_RECORD", self, self.updateShowInfo);
	Lua_ProxyManager.getProxy("Lua_GodSeaPeakProxy"):sTreasureRecord();
end

function Lua_GodSeaPeakTreasureRecordWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakTreasureRecordWindow:updateShowInfo(msg)
	self.itemList:setArrayData(msg.record_list);
end










Lua_GodSeaPeakTreasureRecordItem = class("Lua_GodSeaPeakTreasureRecordItem", Lua_ListCell)
function Lua_GodSeaPeakTreasureRecordItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_GodSeaPeakTreasureRecordItem:buildShowItem()
	self:superCall("buildShowItem");

	self.recordText = UICreate.createLabel(self.content, nil, -187.5, 0, 100, 31, 20);
	self.recordText.pivotValue = 3;
	self.recordText.alignmentValue = 3;
	self.recordText.fontName = Lua_MyUISettings.defaultFontName;
	self.recordText.colorStr = Lua_ColorDefine.transColor("DEE0E9");
	self.recordText.horizontalOverflowValue = 1;
	self.recordText.verticalOverflowValue = 0;
end

function Lua_GodSeaPeakTreasureRecordItem:dispose()
	self:superCall("dispose");
end

function Lua_GodSeaPeakTreasureRecordItem:setData(data)
	local config = getConfig("item", tonumber(data.item_id));
	local str = Lua_ColorDefine.getItemColorStr(config.color, true);
	str = Lua_ColorDefine.getColorStr(str, config.name);
	self.recordText.text = LanUtil.formateStr(790022, data.player_name, str, tostring(data.amount));
end