Lua_GodSeaPeakTreasureRuleWindow = class("Lua_GodSeaPeakTreasureRuleWindow", Lua_Window)
function Lua_GodSeaPeakTreasureRuleWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodSeaPeakTreasureRuleWindow";
	self.skinName = "GodSeaPeakTreasureRuleWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_GodSeaPeakTreasureRuleWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.ruleText:setLangValue(790041);
	self.ruleText:resetSize();
	LuaUtil.setObjPos(self.rewardObject, 0, self.ruleText.posY - self.ruleText.height - 40, 0);

	self.itemList = Lua_DragList.new(self.rewardObject, 500, 400, Lua_AxisDefine.Vertical);
	self.itemList:setRectPivot(1);
	self.itemList:setLocation(0, -70, 0);
	self.itemList:setListCell(Lua_GodSeaPeakTreasureRuleItem, 500, 31, 1);

	self.itemList:setArrayData(DataCenter.godSeaPeakUtil.treasureRuleList);
	self.itemList.canDrag = not self.itemList.isTheEnd;
end

function Lua_GodSeaPeakTreasureRuleWindow:dispose()
	if self.itemList then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end










Lua_GodSeaPeakTreasureRuleItem = class("Lua_GodSeaPeakTreasureRuleItem", Lua_ListCell)
function Lua_GodSeaPeakTreasureRuleItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_GodSeaPeakTreasureRuleItem:buildShowItem()
	self:superCall("buildShowItem");

	self.nameText = UICreate.createLabel(self.content, nil, -180, 0, 100, 31, 31);
	self.nameText.alignmentValue = 3;
	self.nameText.fontSize = 20;
	self.nameText.lineSpacing = 1.3;
	self.nameText.horizontalOverflowValue = 1;
	self.nameText.colorStr = Lua_ColorDefine.transColorStr("796353");

	self.probabilityText = UICreate.createLabel(self.content, nil, 160, 0, 100, 31, 31);
	self.probabilityText.alignmentValue = 5;
	self.probabilityText.fontSize = 20;
	self.probabilityText.lineSpacing = 1.3;
	self.probabilityText.horizontalOverflowValue = 1;
	self.probabilityText.colorStr = Lua_ColorDefine.transColorStr("796353");
end

function Lua_GodSeaPeakTreasureRuleItem:dispose()
	if self.nameText then
		self.nameText:dispose();
		self.nameText = nil;
	end
	if self.probabilityText then
		self.probabilityText:dispose();
		self.probabilityText = nil;
	end
	self:superCall("dispose");
end

function Lua_GodSeaPeakTreasureRuleItem:setData(data)
	local config = DataCenter.godSeaPeakUtil:getTreasureConfig(data);
	self.nameText.text = config.name;
	self.probabilityText.text = config.probability;
end